1# Makefile for PO directory in any package using GNU gettext.
2# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
3#
4# Copying and distribution of this file, with or without modification,
5# are permitted in any medium without royalty provided the copyright
6# notice and this notice are preserved.  This file is offered as-is,
7# without any warranty.
8#
9# Origin: gettext-0.19.8
10GETTEXT_MACRO_VERSION = 0.19
11
12PACKAGE = @PACKAGE@
13VERSION = @VERSION@
14PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
15
16SED = @SED@
17SHELL = /bin/sh
18@SET_MAKE@
19
20srcdir = @srcdir@
21top_srcdir = @top_srcdir@
22VPATH = @srcdir@
23
24prefix = @prefix@
25exec_prefix = @exec_prefix@
26datarootdir = @datarootdir@
27datadir = @datadir@
28localedir = @localedir@
29gettextsrcdir = $(datadir)/gettext/po
30
31INSTALL = @INSTALL@
32INSTALL_DATA = @INSTALL_DATA@
33
34# We use $(mkdir_p).
35# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
36# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
37# @install_sh@ does not start with $(SHELL), so we add it.
38# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
39# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
40# versions, $(mkinstalldirs) and $(install_sh) are unused.
41mkinstalldirs = $(SHELL) @install_sh@ -d
42install_sh = $(SHELL) @install_sh@
43MKDIR_P = @MKDIR_P@
44mkdir_p = @mkdir_p@
45
46# When building gettext-tools, we prefer to use the built programs
47# rather than installed programs.  However, we can't do that when we
48# are cross compiling.
49CROSS_COMPILING = @CROSS_COMPILING@
50
51GMSGFMT_ = @GMSGFMT@
52GMSGFMT_no = @GMSGFMT@
53GMSGFMT_yes = @GMSGFMT_015@
54GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
55MSGFMT_ = @MSGFMT@
56MSGFMT_no = @MSGFMT@
57MSGFMT_yes = @MSGFMT_015@
58MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
59XGETTEXT_ = @XGETTEXT@
60XGETTEXT_no = @XGETTEXT@
61XGETTEXT_yes = @XGETTEXT_015@
62XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
63MSGMERGE = msgmerge
64MSGMERGE_UPDATE = @MSGMERGE@ --update
65MSGINIT = msginit
66MSGCONV = msgconv
67MSGFILTER = msgfilter
68
69POFILES = @POFILES@
70GMOFILES = @GMOFILES@
71UPDATEPOFILES = @UPDATEPOFILES@
72DUMMYPOFILES = @DUMMYPOFILES@
73DISTFILES.common = Makefile.in.in remove-potcdate.sin \
74$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
75DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
76$(POFILES) $(GMOFILES) \
77$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
78
79POTFILES = \
80
81CATALOGS = @CATALOGS@
82
83POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
84POFILESDEPS_yes = $(POFILESDEPS_)
85POFILESDEPS_no =
86PO_DEPENDS_ON_POT =
87POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
88
89DISTFILESDEPS_ = update-po
90DISTFILESDEPS_yes = $(DISTFILESDEPS_)
91DISTFILESDEPS_no =
92DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
93
94# Makevars gets inserted here. (Don't remove this line!)
95
96.SUFFIXES:
97.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
98
99.po.mo:
100	@echo "$(MSGFMT) -c -o $@ $<"; \
101	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
102
103.po.gmo:
104	@lang=`echo $* | sed -e 's,.*/,,'`; \
105	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
106	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
107	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
108
109.sin.sed:
110	sed -e '/^#/d' $< > t-$@
111	mv t-$@ $@
112
113
114all: all-@USE_NLS@
115
116all-yes: stamp-po
117all-no:
118
119# Ensure that the gettext macros and this Makefile.in.in are in sync.
120CHECK_MACRO_VERSION = \
121	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
122	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
123	       exit 1; \
124	     }
125
126# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
127# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
128# we don't want to bother translators with empty POT files). We assume that
129# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
130# In this case, stamp-po is a nop (i.e. a phony target).
131
132# stamp-po is a timestamp denoting the last time at which the CATALOGS have
133# been loosely updated. Its purpose is that when a developer or translator
134# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
135# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
136# invocations of "make" will do nothing. This timestamp would not be necessary
137# if updating the $(CATALOGS) would always touch them; however, the rule for
138# $(POFILES) has been designed to not touch files that don't need to be
139# changed.
140stamp-po: $(srcdir)/$(DOMAIN).pot
141	@$(CHECK_MACRO_VERSION)
142	test ! -f $(srcdir)/$(DOMAIN).pot || \
143	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
144	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
145	  echo "touch stamp-po" && \
146	  echo timestamp > stamp-poT && \
147	  mv stamp-poT stamp-po; \
148	}
149
150# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
151# otherwise packages like GCC can not be built if only parts of the source
152# have been downloaded.
153
154# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
155# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
156# The determination of whether the package xyz is a GNU one is based on the
157# heuristic whether some file in the top level directory mentions "GNU xyz".
158# If GNU 'find' is available, we avoid grepping through monster files.
159$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
160	package_gnu="$(PACKAGE_GNU)"; \
161	test -n "$$package_gnu" || { \
162	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
163		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
164			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
165			       /dev/null '{}' ';' 2>/dev/null; \
166	       else \
167		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
168	       fi; \
169	     } | grep -v 'libtool:' >/dev/null; then \
170	     package_gnu=yes; \
171	   else \
172	     package_gnu=no; \
173	   fi; \
174	}; \
175	if test "$$package_gnu" = "yes"; then \
176	  package_prefix='GNU '; \
177	else \
178	  package_prefix=''; \
179	fi; \
180	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
181	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
182	else \
183	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
184	fi; \
185	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
186	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
187	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
188	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
189	      --files-from=$(srcdir)/POTFILES.in \
190	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
191	      --msgid-bugs-address="$$msgid_bugs_address" \
192	    ;; \
193	  *) \
194	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
195	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
196	      --files-from=$(srcdir)/POTFILES.in \
197	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
198	      --package-name="$${package_prefix}@PACKAGE@" \
199	      --package-version='@VERSION@' \
200	      --msgid-bugs-address="$$msgid_bugs_address" \
201	    ;; \
202	esac
203	test ! -f $(DOMAIN).po || { \
204	  if test -f $(srcdir)/$(DOMAIN).pot-header; then \
205	    sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
206	    cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \
207	    rm -f $(DOMAIN).1po; \
208	  fi; \
209	  if test -f $(srcdir)/$(DOMAIN).pot; then \
210	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
211	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
212	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
213	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
214	    else \
215	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
216	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
217	    fi; \
218	  else \
219	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
220	  fi; \
221	}
222
223# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
224# every "make" invocation, only create it when it is missing.
225# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
226$(srcdir)/$(DOMAIN).pot:
227	$(MAKE) $(DOMAIN).pot-update
228
229# This target rebuilds a PO file if $(DOMAIN).pot has changed.
230# Note that a PO file is not touched if it doesn't need to be changed.
231$(POFILES): $(POFILESDEPS)
232	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
233	if test -f "$(srcdir)/$${lang}.po"; then \
234	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
235	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
236	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
237	  cd $(srcdir) \
238	    && { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
239	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
240	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
241	           *) \
242	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
243	         esac; \
244	       }; \
245	else \
246	  $(MAKE) $${lang}.po-create; \
247	fi
248
249
250install: install-exec install-data
251install-exec:
252install-data: install-data-@USE_NLS@
253	if test "$(PACKAGE)" = "gettext-tools"; then \
254	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
255	  for file in $(DISTFILES.common) Makevars.template; do \
256	    $(INSTALL_DATA) $(srcdir)/$$file \
257			    $(DESTDIR)$(gettextsrcdir)/$$file; \
258	  done; \
259	  for file in Makevars; do \
260	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
261	  done; \
262	else \
263	  : ; \
264	fi
265install-data-no: all
266install-data-yes: all
267	@catalogs='$(CATALOGS)'; \
268	for cat in $$catalogs; do \
269	  cat=`basename $$cat`; \
270	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
271	  dir=$(localedir)/$$lang/LC_MESSAGES; \
272	  $(mkdir_p) $(DESTDIR)$$dir; \
273	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
274	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
275	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
276	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
277	    if test -n "$$lc"; then \
278	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
279	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
280	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
281	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
282	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
283	         for file in *; do \
284	           if test -f $$file; then \
285	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
286	           fi; \
287	         done); \
288	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
289	      else \
290	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
291	          :; \
292	        else \
293	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
294	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
295	        fi; \
296	      fi; \
297	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
298	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
299	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
300	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
301	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
302	    fi; \
303	  done; \
304	done
305
306install-strip: install
307
308installdirs: installdirs-exec installdirs-data
309installdirs-exec:
310installdirs-data: installdirs-data-@USE_NLS@
311	if test "$(PACKAGE)" = "gettext-tools"; then \
312	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
313	else \
314	  : ; \
315	fi
316installdirs-data-no:
317installdirs-data-yes:
318	@catalogs='$(CATALOGS)'; \
319	for cat in $$catalogs; do \
320	  cat=`basename $$cat`; \
321	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
322	  dir=$(localedir)/$$lang/LC_MESSAGES; \
323	  $(mkdir_p) $(DESTDIR)$$dir; \
324	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
325	    if test -n "$$lc"; then \
326	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
327	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
328	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
329	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
330	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
331	         for file in *; do \
332	           if test -f $$file; then \
333	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
334	           fi; \
335	         done); \
336	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
337	      else \
338	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
339	          :; \
340	        else \
341	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
342	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
343	        fi; \
344	      fi; \
345	    fi; \
346	  done; \
347	done
348
349# Define this as empty until I found a useful application.
350installcheck:
351
352uninstall: uninstall-exec uninstall-data
353uninstall-exec:
354uninstall-data: uninstall-data-@USE_NLS@
355	if test "$(PACKAGE)" = "gettext-tools"; then \
356	  for file in $(DISTFILES.common) Makevars.template; do \
357	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
358	  done; \
359	else \
360	  : ; \
361	fi
362uninstall-data-no:
363uninstall-data-yes:
364	catalogs='$(CATALOGS)'; \
365	for cat in $$catalogs; do \
366	  cat=`basename $$cat`; \
367	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
368	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
369	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
370	  done; \
371	done
372
373check: all
374
375info dvi ps pdf html tags TAGS ctags CTAGS ID:
376
377mostlyclean:
378	rm -f remove-potcdate.sed
379	rm -f stamp-poT
380	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
381	rm -fr *.o
382
383clean: mostlyclean
384
385distclean: clean
386	rm -f Makefile Makefile.in POTFILES *.mo
387
388maintainer-clean: distclean
389	@echo "This command is intended for maintainers to use;"
390	@echo "it deletes files that may require special tools to rebuild."
391	rm -f stamp-po $(GMOFILES)
392
393distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
394dist distdir:
395	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
396	@$(MAKE) dist2
397# This is a separate target because 'update-po' must be executed before.
398dist2: stamp-po $(DISTFILES)
399	dists="$(DISTFILES)"; \
400	if test "$(PACKAGE)" = "gettext-tools"; then \
401	  dists="$$dists Makevars.template"; \
402	fi; \
403	if test -f $(srcdir)/$(DOMAIN).pot; then \
404	  dists="$$dists $(DOMAIN).pot stamp-po"; \
405	fi; \
406	if test -f $(srcdir)/ChangeLog; then \
407	  dists="$$dists ChangeLog"; \
408	fi; \
409	for i in 0 1 2 3 4 5 6 7 8 9; do \
410	  if test -f $(srcdir)/ChangeLog.$$i; then \
411	    dists="$$dists ChangeLog.$$i"; \
412	  fi; \
413	done; \
414	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
415	for file in $$dists; do \
416	  if test -f $$file; then \
417	    cp -p $$file $(distdir) || exit 1; \
418	  else \
419	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
420	  fi; \
421	done
422
423update-po: Makefile
424	$(MAKE) $(DOMAIN).pot-update
425	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
426	$(MAKE) update-gmo
427
428# General rule for creating PO files.
429
430.nop.po-create:
431	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
432	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
433	exit 1
434
435# General rule for updating PO files.
436
437.nop.po-update:
438	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
439	if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "yes"; then PATH=`pwd`/../src:$$PATH; fi; \
440	tmpdir=`pwd`; \
441	echo "$$lang:"; \
442	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
443	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
444	cd $(srcdir); \
445	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
446	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
447	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
448	       *) \
449	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
450	     esac; \
451	   }; then \
452	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
453	    rm -f $$tmpdir/$$lang.new.po; \
454	  else \
455	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
456	      :; \
457	    else \
458	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
459	      exit 1; \
460	    fi; \
461	  fi; \
462	else \
463	  echo "msgmerge for $$lang.po failed!" 1>&2; \
464	  rm -f $$tmpdir/$$lang.new.po; \
465	fi
466
467$(DUMMYPOFILES):
468
469update-gmo: Makefile $(GMOFILES)
470	@:
471
472# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
473# because execution permission bits may not work on the current file system.
474# Use @SHELL@, which is the shell determined by autoconf for the use by its
475# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
476Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
477	cd $(top_builddir) \
478	  && @SHELL@ ./config.status $(subdir)/$@.in po-directories
479
480force:
481
482# Tell versions [3.59,3.63) of GNU make not to export all variables.
483# Otherwise a system limit (for SysV at least) may be exceeded.
484.NOEXPORT:
485